classification
Title: Subinterpreters: List interpreters associated with a channel end
Type: enhancement Stage: resolved
Components: Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: LewisGaul, eric.snow, maciej.szulik, miss-islington, nanjekyejoannah
Priority: normal Keywords: patch

Created on 2019-11-21 16:14 by LewisGaul, last changed 2020-05-01 16:23 by eric.snow. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17323 merged LewisGaul, 2019-11-21 16:26
Messages (3)
msg357181 - (view) Author: Lewis Gaul (LewisGaul) * Date: 2019-11-21 16:14
The public interpreters API being implemented for PEP 554 requires the ability to list interpreters associated with channel ends. This functionality needs adding in the internal subinterpreters module.

See https://github.com/ericsnowcurrently/multi-core-python/issues/52 and https://www.python.org/dev/peps/pep-0554/#api-for-sharing-data.
msg367589 - (view) Author: miss-islington (miss-islington) Date: 2020-04-29 00:18
New changeset f7bbf58aa9299e9dd00b7a1bdd1113b4dcb6dfdf by Lewis Gaul in branch 'master':
bpo-38880: List interpreters associated with a channel end (GH-17323)
https://github.com/python/cpython/commit/f7bbf58aa9299e9dd00b7a1bdd1113b4dcb6dfdf
msg367860 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2020-05-01 16:23
Thanks again, Lewis!
History
Date User Action Args
2020-05-01 16:23:56eric.snowsetstatus: open -> closed
resolution: fixed
messages: + msg367860

stage: patch review -> resolved
2020-04-29 00:18:49miss-islingtonsetnosy: + miss-islington
messages: + msg367589
2020-02-07 15:12:27maciej.szuliksetnosy: + maciej.szulik
2019-11-21 16:26:55LewisGaulsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16810
2019-11-21 16:14:53LewisGaulcreate